﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.WinControls.UI;

namespace _897930_GridViewChartColumn
{
    public class GridViewChartColumn : GridViewImageColumn
    {
        public GridViewChartColumn(string fieldName)
            : base(fieldName)
        {
        }

        public override Type GetCellType(GridViewRowInfo row)
        {
            if (row is GridViewDataRowInfo)
            {
                return typeof(ChartViewCellElement);
            }
            return base.GetCellType(row);
        }
    }
}
