﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using Telerik.WinControls.UI;

namespace _897930_GridViewChartColumn
{
    public class MyTableViewDefinitionPrintRenderer : TableViewDefinitionPrintRenderer
    {
        public MyTableViewDefinitionPrintRenderer(RadGridView grid)
            : base(grid)
        { }

        protected override CellPrintElement CreateDataCellPrintElement(GridViewCellInfo cellInfo)
        {
            CellPrintElement cell =  base.CreateDataCellPrintElement(cellInfo);

            if (cellInfo.ColumnInfo.Name == "Numbers")
            {
                cell.Image = (Bitmap)cellInfo.Tag;
            }

            return cell;
        }
    }
}
